Groove Discussion Tool

The Groove Discussion Tool lets you engage in a detailed exchange of ideas with other members of the workspace. A typical discussion includes a main topic with one or more responses, and responses to responses. Unlike a chat, which displays a running stream of responses in a flat view, a discussion lets you see the entire "thread" of a conversation in a hierarchical structure.

What do you want to do?

  • Learn about Discussion tool features

  • Create or delete topics

  • Read or edit a topic

  • Attach a file to a topic

  • Open or save file attachments

  • Print Discussion topics

  • Importing discussion topics

  • Exporting discussion topics to a file

  • Create links to a Discussion topic

  • Change Discussion tool permissions

  • Use the keyboard to do Discussion tasks

© 2006 Microsoft Corporation. All rights reserved.


About Discussion tool features

The Discussion tool has two main windows: The Topics list, where you see only the Subject line of each topic, and the Body window, where you see the contents of the topic.

Clicking the column headings switches the sort order between ascending or descending chronological order. Note that regardless of the sort order, response topics always stay with their hierarchical parent topic.

In addition to clicking the expand (+) or collapse (-) symbols to expand or collapse selected hierarchical sections, you can expand or collapse all hierarchical sections by clicking the Expand All or Collapse All icons in the toolbar.

Groove Discussion Tool Contents


Creating a main Discussion topic

You can use buttons in the toolbar to format text, and you can add other rich-text features such as images and hyperlinks.

  • Select File - Save (or click the Save icon in the toolbar) to save the topic and continue editing it.

  • Click Save and Close to save and close the topic.

Creating a main topic in a Discussion

Depending on the current sort order of the topics list, a new main topic get placed as either the first or last item in the list.

To create a new main topic:

  1. Click New Topic.

  2. Enter a title in the Subject field.

  3. Enter text and other types of data in the body field.

  4. Select an option to save the topic.


Creating a response Discussion topic

Creating a response topic in a Discussion

  1. Select the topic to which you're responding.

    For example, if you're responding to a topic that already has other responses, select the topic you're responding to, not one of its responses.

  2. Click Response.

  3. Fill out the response topic form the same way you would for a main topic.

    You can accept the default response topic title (based on the hierarchical parent topic) or replace it with a new one.


Deleting Discussion topics

To delete a discussion topic, select it in the list and press Delete.

Caution: Deleting a topic also deletes any hierarchical responses. For example:


Editing Discussion topics

Reading or editing Discussion topics

Double-click Discussion topics to open them for reading or editing. If you have editing permissions for the topic, it opens for editing. Otherwise, the topic opens only for reading.

Also, if you have editing permissions, you can click Edit in the Body pane to open the topic for editing below the topics list. However, if you want to add or delete file attachments, you must open the topic in a maximized edit window.


Attaching files to Discussion topics

To attach a file to a discussion topic:

  1. Double-click an existing topic to open it for editing or create a new topic.

  2. Click Attach.

  3. In the Add Attachments dialog box, select one or more files and click Open.

  4. Save the topic.

Managing attachments

When you open a topic with attachments for editing, you can do any of the following:

  • Click Save Selected to save a selected attached file to disk.

  • Click Save All to save all attached files to disk.

  • Click Remove Selected to remove selected attached file from the topic.

  • Click Remove All to remove all attached files from the topic.

Opening or saving file attachments

  1. Select or open the topic that contains the file attachment.

  2. Click Attachments and select an option for opening or saving files.


Creating links in Discussion

Creating links in a Discussion

As with other workspace tools, you can create a link that selects the tool. In addition, you can create a link that goes to a specific Discussion topic. By default, the link uses the topic title and its author name in the link text. You can paste a link to a topic into any tool that supports rich text, such as Notepad or Chat.

To create a link to a Discussion topic:

  1. Select the topic you'd like to link to.

  2. Select Edit - Copy Entry as Link.

  3. Go to the rich-text location in which you would like to paste the link.

  4. Right-click and select Paste.


Copying and pasting Discussion topics

You can move or copy Discussion tool topics using standard Cut, Copy, and Paste commands. Note the following behavior rules:

  • You can move or copy only one topic at a time.

  • You can move or copy topics only within their current hierarchical boundaries. For example, if you copy a response topic and then paste it, it gets placed at the bottom of its hierarchical section. If you copy and paste a top-level topic, it gets placed as the next new topic in the Discussion. If the Discussion currently has ordinal sorting, this will be at the bottom of the Discussion.


Importing Discussion topics

You can import Discussion topics exported as Binary XML into any Discussion tool. The imported topics get placed at the bottom of the topics list (when the list is sorted ordinally). You cannot insert imported Discussion topics in the middle of a topics list.

  1. Select File - Import.

  2. In the Import File dialog box, select the exported discussion .XML file and click Open.


Exporting Discussion topics to a file

You can export Discussion topics to files you can use with other programs or import into another Discussion tool. You can export single topics or all topics at once. To export Discussion topics:

  1. To export a single topic, double-click the topic to open it.

  2. To export all topics, select any topic in the topic list.

  3. Select File - Export To... and select the file format you want.

  4. In the Export Record(s) to File... dialog box, select a location, enter a file name, and click Save.

The following table describes the file formats for exporting Discussion topics:

File Format | Description
Binary XML | Exports binary XML that can be imported another Discussion tool.
Rich Text | Exports Discussion topics in rich text (.rtf) format so that you can retain all text formatting. Open in any application that supports rich text.
Structured Text | Exports information in all topic fields, including hidden fields. For example: _CreatedByURL: grooveIdentity://4jrhmwavsdx5ubuki8t5895fqfg9th6v@ _CreatedBy: Kris Jones _ModifiedBy: AttachmentNames: Subject: New logo _Created: 1036594208429 _ParentID: -1 _Modified: 1036594208429 _IsRead: -1 AttachmentsID: 1 _RecordID: 1347533491 FileIcon: 0 _PreviousSiblingID: 0 _NewParentID: -1 Body: What does everyone think?
Tabular Text | Exports in tabular format the text appearing in the list columns (Date, Subject, Author).


Searching in a Discussion

You can search for topics that contain specific text. However, the Discussion tool does not yet support searching in a topic opened for reading or editing.

  1. While in the Discussion topics list, select Edit - Find.

  2. In the Find dialog box, enter the text you want to find in a topic.

  3. Select options if you want to refine the search for case-sensitivity and/or whole word matching.

  4. Click Find Next or Find Previous.

    Groove finds the next or previous topic that contains the specified text. If no match is found for the search text, Groove displays the message "No match found for this search text." Additionally, the search always continues from the top or bottom of the list, depending on the direction in which you're searching.


Printing a Discussion topic

To print a Discussion topic, select it and then select File - Print or click the Print icon in the toolbar.


Changing Discussion tool permissions

By default, Managers have all permissions, Participants can create, edit, or delete their own topics, and Guests have read-only access to topics.

See Change workspace permissions for information on modifying the default permissions for a tool.


Using the keyboard to do Discussion tasks

The table below lists keyboard shortcuts for the Discussion tool. Available shortcuts depend on the mode in which you are using the tool.

To | Press
Create a new main topic | Ctrl+N
Create a new response to the selected topic | Ctrl+R
Open the selected topic | Ctrl+O
Open the selected topic for editing | Ctrl+E
Search for a topic | Ctrl+F
Cancel an edit | Esc
Copy the selected topic as a link | Ctrl+H
Save a topic | Ctrl+S
Save and close a topic | Ctrl+W
Mark the selected topic read | Ctrl+F4
Mark all topics read | Ctrl+Shift+F4
Expand a collapsed section | Plus (+) and Right Arrow key
Collapse a section | Minus (-) and Left Arrow key
Expand All | Shift+Plus (+)
Collapse All | Shift+Minus (-)
Move to next topic | F8
Move to previous topic | Shift+F8
Move to next unread | F4
Move to previous unread | Shift+F4
Select the first topic/last topic in the list | Home/End
Select the next/previous topic in the list | /
Display the next/previous "screenful" of topics in the list | PgDn/PgUp